var __values = (this && this.__values) || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m) return m.call(o);
    if (o && typeof o.length === "number") return {
        next: function () {
            if (o && i >= o.length) o = void 0;
            return { value: o && o[i++], done: !o };
        }
    };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
};
var AttachmentConvert = /** @class */ (function () {
    function AttachmentConvert() {
    }
    AttachmentConvert.textFileToUrlImage = function (file) {
        return new Promise(function (resolve) {
            var fileReader = new FileReader();
            fileReader.addEventListener('load', function (e) {
                resolve(e.target.result);
            });
            fileReader.readAsDataURL(file);
        });
    };
    return AttachmentConvert;
}());
export { AttachmentConvert };
var AttachmentParser = /** @class */ (function () {
    function AttachmentParser() {
    }
    AttachmentParser.parseAcceptFiles = function (accepts) {
        return accepts
            .replace(/image\//g, '')
            .replace(/x-/g, '')
            .replace(/\+xml/g, '')
            .replace(/ /g, '')
            .split(',');
    };
    return AttachmentParser;
}());
export { AttachmentParser };
var AttachmentValidate = /** @class */ (function () {
    function AttachmentValidate() {
    }
    AttachmentValidate.file = function (input, accepts) {
        var e_1, _a;
        var fileName = input.value;
        var idxDot = fileName.lastIndexOf('.') + 1;
        var extFile = fileName.substr(idxDot, fileName.length).toLowerCase();
        if (accepts.length === 1 && accepts[0] === '*') {
            return true;
        }
        try {
            for (var accepts_1 = __values(accepts), accepts_1_1 = accepts_1.next(); !accepts_1_1.done; accepts_1_1 = accepts_1.next()) {
                var extension = accepts_1_1.value;
                if (extFile === extension) {
                    return true;
                }
            }
        }
        catch (e_1_1) { e_1 = { error: e_1_1 }; }
        finally {
            try {
                if (accepts_1_1 && !accepts_1_1.done && (_a = accepts_1.return)) _a.call(accepts_1);
            }
            finally { if (e_1) throw e_1.error; }
        }
        return false;
    };
    AttachmentValidate.fileSize = function (input) {
        if (input != null && input.files != null) {
            var fileSize = input.files[0].size / 1024;
            var max = this.maxSize(input);
            return fileSize <= max;
        }
        else {
            console.error('Input is null.');
            return false;
        }
    };
    /** The user must include the attribute 'data-maxsize' in mb(megabyte); */
    AttachmentValidate.maxSize = function (input) {
        var fileName = input.attributes['data-maxsize'].nodeValue;
        if (fileName) {
            return parseInt(fileName, 10);
        }
        else {
            return 1024 * 45;
        }
    };
    return AttachmentValidate;
}());
export { AttachmentValidate };
module.exports = { AttachmentConvert: AttachmentConvert, AttachmentParser: AttachmentParser, AttachmentValidate: AttachmentValidate };
//# sourceMappingURL=core-services-attachment.service.js.map