import { IDate, IDateLocal, IDayMonthYear, IDaysOfMonth, IUnityOfTime, IWeeksOfMonth } from './core-services-date.interface';
export declare class DateGet {
    static customDate(date: IDate, format: string): string;
    static currentDate(outputFormat?: string): string;
    static dayMonthYear(date: IDate, format?: string): IDayMonthYear;
    static localDate(year: number, month: number, day: number, local?: IDateLocal): string;
    static dateFromIso(date: IDate, format?: string): string;
    static ganttDate(date: IDate): Date;
    static isoDateCustom(date: IDate, dateFormat: string, outputFormat: string): string;
    static isoDate(date: IDate, format?: string): string;
    static isoDateWithoutTime(date: IDate): string;
    static dateMilliseconds(date: IDate, dateFormat: string, outputFormat: string): number;
    static dateToMillisecondsNoTime(date: IDate): number;
    static millisecondsToDate(date: IDate, outputFormat: string): string;
    static daysToMilliseconds(days: number): number;
    static durationInDays(start: number, end: number, countFirstDay: boolean): number;
    static durationInMilliseconds(start: number, end: number): number;
    static monthName(month: number, language?: string): string;
    static weeksOfMonth(year: number, month: number): IWeeksOfMonth[];
    static daysOfMonth(weeksRange: IWeeksOfMonth[]): IDaysOfMonth[][];
    static weekOfYear(date: string, format: string): number;
}
export declare class DateComparable {
    static isDateBefore(startDate: string, endDate: string, type?: IUnityOfTime): boolean;
}
export declare class DateValidation {
    static date(date: IDate): boolean;
}
export declare class DatePicker {
    /**
     * Date picker utilities;
     * Jquery ui
     * This function is using Jquery and Jquery-ui and typescript is not available
     * To this function work is necessary the following imports, respectively:
     * import * as $ from 'jquery'; or import $ = require('jquery');
     * import '../../../../../node_modules/jquery-ui-dist/jquery-ui.min';
     */
    static setDatePicker(datePicker: HTMLInputElement, dateFormat: string): void;
    static monthYearDatePicker(datePicker: HTMLInputElement, dateFormat: string, setValueCallback: any): void;
    static dateFromDatePicker(date: IDate, format?: string, outputFormat?: string): string;
    static localDateForDatePicker(date: IDate, outputFormat?: string): string;
    static currentDateForDatePicker(dateFormat?: string, outputFormat?: string): string;
    static dateForDatePicker(month: number, day: number, year: number): string;
}
